GuideLab API

Download a conversation attachment

Stream a conversation attachment file from R2 storage. Supports thumbnail mode via ?thumbnail=true and proxy mode via ?proxy=true. Only accessible by organizations that are part of the conversation's partnership.

GET
/conversations/attachments/{id}

Stream a conversation attachment file from R2 storage. Supports thumbnail mode via ?thumbnail=true and proxy mode via ?proxy=true. Only accessible by organizations that are part of the conversation's partnership.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Query Parameters

thumbnail?string

Set to 'true' to return thumbnail version

proxy?string

Set to 'true' to serve inline instead of as download

Response Body

application/octet-stream

curl -X GET "https://example.com/conversations/attachments/550e8400-e29b-41d4-a716-446655440000"
"string"
Empty
Empty
Empty